import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Changes the background of a battle screen.
 * 
 * @authors Tartynskih Pjotr, Shutov Konstantin, Dymov Maxim, Egor Logachjov, Patrushev Eduard
 * @version 0.9
 */
public class Background extends Actor
{
    /**
     * Puts random image for every battle.
     */
    
    public Background() 
    {
        switch (Greenfoot.getRandomNumber(4))
        {
            case 0:
                setImage("battle1.jpg");
                    break;
            case 1:
                setImage("battle2.jpg");
                    break;
            case 2:
                setImage("battle3.jpg");
                    break;
            case 3:
                setImage("battle4.jpg");
                    break;
        }
    }    
}
