import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * The main hero of a game and his stats.
 * 
 * @authors Tartynskih Pjotr, Shutov Konstantin, Dymov Maxim, Egor Logachjov, Patrushev Eduard
 * @version 0.9
 */
public class Hero extends Actor
{
    /**
     * Act - do whatever the Hero wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    private int x, y;
    static public int HeroHP=100;
    static public int HeroEnergy=100;
    static public DH dh = new DH();
    static public DH1 dh1 = new DH1();
    static public DH2 dh2 = new DH2();
    static public DH3 dh3 = new DH3();
    static public DH4 dh4 = new DH4();
    static public Background background = new Background();
    private boolean war=true;
    public void act() 
    {
        x=getX(); y=getY();
        if(Greenfoot.isKeyDown("up") && !foundWall2() && war==true) { setLocation(x, y-1); Greenfoot.delay(10); }
        else if(Greenfoot.isKeyDown("down") && !foundWall1() && war==true) { setLocation(x, y+1); Greenfoot.delay(10); }
        else if(Greenfoot.isKeyDown("right") && !foundWall3() && war==true) { setLocation(x+1, y); Greenfoot.delay(10); }
        else if(Greenfoot.isKeyDown("left") && !foundWall4() && war==true) { setLocation(x-1, y); Greenfoot.delay(10); }

        if (checkOnBattle() && war==true) { Battle(); war=false; }
        else if(!checkOnBattle()) war=true;     
    }

    public boolean foundWall1()
    {
        Actor wall = getOneObjectAtOffset(0, 1, Walls.class);
        return wall != null;
    }

    public boolean foundWall2()
    {
        Actor wall = getOneObjectAtOffset(0, -1, Walls.class);
        return wall != null;
    }

    public boolean foundWall3()
    {
        Actor wall = getOneObjectAtOffset(1, 0, Walls.class);
        return wall != null;
    }

    public boolean foundWall4()
    {
        Actor wall = getOneObjectAtOffset(-1, 0, Walls.class);
        return wall != null;
    }

    /*
     * Проверка на столкновение персонажа с классом Mobs
     */
    public void Battle()
    {
        getWorld().addObject(background, 4, 4);
        getWorld().addObject(dh, 2, 4);
        getWorld().addObject(dh1, 1, 6);
        getWorld().addObject(dh2, 2, 6);
        getWorld().addObject(dh3, 3, 6);
        getWorld().addObject(dh4, 4, 6);
    }   

    public boolean checkOnBattle() 
    { 
        Actor mob = getOneObjectAtOffset(0, 0, Creeps.class); 
        return mob != null; 
    }  
}
