import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Boss 5.
 * 
 * @authors Tartynskih Pjotr, Shutov Konstantin, Dymov Maxim, Egor Logachjov, Patrushev Eduard
 * @version 0.9
 */
public class Boss5 extends Bosses
{
    /**
     * Battle.
     */
  private int HP=150;
     public void act() 
    {  
        if(Level.hero.getX()==getX() && Level.hero.getY()==getY())
        {
            if(Greenfoot.mouseClicked(Hero.dh1)) 
            {
                if (Hero.HeroEnergy>=20){
                   HP-=10+Greenfoot.getRandomNumber(30)*0.25;
                   Hero.HeroEnergy-=20;}
                Hero.HeroHP-=Greenfoot.getRandomNumber(25);
            }
            if (Greenfoot.mouseClicked(Hero.dh2)) 
            {
                if (Hero.HeroEnergy>=30){
                  HP-=10+Greenfoot.getRandomNumber(30)*0.5;
                  Hero.HeroEnergy-=30;}
                Hero.HeroHP-=Greenfoot.getRandomNumber(25);
            }
            if (Greenfoot.mouseClicked(Hero.dh3)) 
            {
                if (Hero.HeroEnergy>=40){
                HP-=10+Greenfoot.getRandomNumber(30);
                Hero.HeroEnergy-=40;}
                Hero.HeroHP-=Greenfoot.getRandomNumber(25);
            }
            if (Greenfoot.mouseClicked(Hero.dh4)) 
            {
                if (Hero.HeroEnergy<100)
                {
                    Hero.HeroEnergy+=25; 
                    Hero.HeroHP-=Greenfoot.getRandomNumber(25);
                }    
                if (Hero.HeroEnergy>100) Hero.HeroEnergy=100;
            }
            if(HP<=0)
            {
                getWorld().removeObject(Hero.background);
                getWorld().removeObject(Hero.dh);
                getWorld().removeObject(Hero.dh1);
                getWorld().removeObject(Hero.dh2);
                getWorld().removeObject(Hero.dh3);
                getWorld().removeObject(Hero.dh4);
                getWorld().removeObject(this);
                Hero.HeroHP=100;
                Hero.HeroEnergy=100;
                killedbosses++;
            }
            
            CheckText();
    }    
  }
  
  public void CheckText()
  {
      if ((HP <= 200) && (HP > 0))
      {
          getWorld().showText("HP Hero: " + (String.valueOf(Hero.HeroHP)), 1, 2);
          getWorld().showText("ME Hero: " + (String.valueOf(Hero.HeroEnergy)), 4, 2);
          getWorld().showText("HP Enemy: " + (String.valueOf(HP)), 7, 2);
      }
  }  
}